/* [config]
 * expect_result: pass
 * glsl_version: 1.20
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (ivec2(np.int32(38), np.int32(35)) + ivec2(np.int32(38), np.int32(35))) => ivec2(np.int32(76), np.int32(70))
 * (ivec2(np.int32(38), np.int32(35)) + ivec2(np.int32(64), np.int32(-9))) => ivec2(np.int32(102), np.int32(26))
 * (ivec2(np.int32(38), np.int32(35)) + ivec2(np.int32(64), np.int32(9))) => ivec2(np.int32(102), np.int32(44))
 * (ivec2(np.int32(64), np.int32(-9)) + ivec2(np.int32(38), np.int32(35))) => ivec2(np.int32(102), np.int32(26))
 * (ivec2(np.int32(64), np.int32(-9)) + ivec2(np.int32(64), np.int32(-9))) => ivec2(np.int32(128), np.int32(-18))
 * (ivec2(np.int32(64), np.int32(-9)) + ivec2(np.int32(64), np.int32(9))) => ivec2(np.int32(128), np.int32(0))
 * (ivec2(np.int32(64), np.int32(9)) + ivec2(np.int32(38), np.int32(35))) => ivec2(np.int32(102), np.int32(44))
 * (ivec2(np.int32(64), np.int32(9)) + ivec2(np.int32(64), np.int32(-9))) => ivec2(np.int32(128), np.int32(0))
 * (ivec2(np.int32(64), np.int32(9)) + ivec2(np.int32(64), np.int32(9))) => ivec2(np.int32(128), np.int32(18))
 */
#version 120

void main()
{
  float[all(equal((ivec2(np.int32(38), np.int32(35)) + ivec2(np.int32(38), np.int32(35))), ivec2(np.int32(76), np.int32(70)))) ? 1 : -1] array0;
  float[all(equal((ivec2(np.int32(38), np.int32(35)) + ivec2(np.int32(64), np.int32(-9))), ivec2(np.int32(102), np.int32(26)))) ? 1 : -1] array1;
  float[all(equal((ivec2(np.int32(38), np.int32(35)) + ivec2(np.int32(64), np.int32(9))), ivec2(np.int32(102), np.int32(44)))) ? 1 : -1] array2;
  float[all(equal((ivec2(np.int32(64), np.int32(-9)) + ivec2(np.int32(38), np.int32(35))), ivec2(np.int32(102), np.int32(26)))) ? 1 : -1] array3;
  float[all(equal((ivec2(np.int32(64), np.int32(-9)) + ivec2(np.int32(64), np.int32(-9))), ivec2(np.int32(128), np.int32(-18)))) ? 1 : -1] array4;
  float[all(equal((ivec2(np.int32(64), np.int32(-9)) + ivec2(np.int32(64), np.int32(9))), ivec2(np.int32(128), np.int32(0)))) ? 1 : -1] array5;
  float[all(equal((ivec2(np.int32(64), np.int32(9)) + ivec2(np.int32(38), np.int32(35))), ivec2(np.int32(102), np.int32(44)))) ? 1 : -1] array6;
  float[all(equal((ivec2(np.int32(64), np.int32(9)) + ivec2(np.int32(64), np.int32(-9))), ivec2(np.int32(128), np.int32(0)))) ? 1 : -1] array7;
  float[all(equal((ivec2(np.int32(64), np.int32(9)) + ivec2(np.int32(64), np.int32(9))), ivec2(np.int32(128), np.int32(18)))) ? 1 : -1] array8;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length() + array4.length() + array5.length() + array6.length() + array7.length() + array8.length());
}
