/* [config]
 * expect_result: pass
 * glsl_version: 1.20
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * step(np.float32(-2.0), vec3(np.float32(-2.0), np.float32(-0.6666667), np.float32(0.6666667))) => vec3(np.float32(1.0), np.float32(1.0), np.float32(1.0))
 * step(np.float32(-2.0), vec3(np.float32(2.0), np.float32(-2.0), np.float32(-0.6666667))) => vec3(np.float32(1.0), np.float32(1.0), np.float32(1.0))
 * step(np.float32(-0.6666667), vec3(np.float32(-2.0), np.float32(-0.6666667), np.float32(0.6666667))) => vec3(np.float32(0.0), np.float32(1.0), np.float32(1.0))
 * step(np.float32(-0.6666667), vec3(np.float32(2.0), np.float32(-2.0), np.float32(-0.6666667))) => vec3(np.float32(1.0), np.float32(0.0), np.float32(1.0))
 * step(np.float32(0.6666667), vec3(np.float32(-2.0), np.float32(-0.6666667), np.float32(0.6666667))) => vec3(np.float32(0.0), np.float32(0.0), np.float32(1.0))
 * step(np.float32(0.6666667), vec3(np.float32(2.0), np.float32(-2.0), np.float32(-0.6666667))) => vec3(np.float32(1.0), np.float32(0.0), np.float32(0.0))
 * step(np.float32(2.0), vec3(np.float32(-2.0), np.float32(-0.6666667), np.float32(0.6666667))) => vec3(np.float32(0.0), np.float32(0.0), np.float32(0.0))
 * step(np.float32(2.0), vec3(np.float32(2.0), np.float32(-2.0), np.float32(-0.6666667))) => vec3(np.float32(1.0), np.float32(0.0), np.float32(0.0))
 */
#version 120

void main()
{
  float[distance(step(np.float32(-2.0), vec3(np.float32(-2.0), np.float32(-0.6666667), np.float32(0.6666667))), vec3(np.float32(1.0), np.float32(1.0), np.float32(1.0))) <= np.float32(1.7320508e-05) ? 1 : -1] array0;
  float[distance(step(np.float32(-2.0), vec3(np.float32(2.0), np.float32(-2.0), np.float32(-0.6666667))), vec3(np.float32(1.0), np.float32(1.0), np.float32(1.0))) <= np.float32(1.7320508e-05) ? 1 : -1] array1;
  float[distance(step(np.float32(-0.6666667), vec3(np.float32(-2.0), np.float32(-0.6666667), np.float32(0.6666667))), vec3(np.float32(0.0), np.float32(1.0), np.float32(1.0))) <= np.float32(1.4142135e-05) ? 1 : -1] array2;
  float[distance(step(np.float32(-0.6666667), vec3(np.float32(2.0), np.float32(-2.0), np.float32(-0.6666667))), vec3(np.float32(1.0), np.float32(0.0), np.float32(1.0))) <= np.float32(1.4142135e-05) ? 1 : -1] array3;
  float[distance(step(np.float32(0.6666667), vec3(np.float32(-2.0), np.float32(-0.6666667), np.float32(0.6666667))), vec3(np.float32(0.0), np.float32(0.0), np.float32(1.0))) <= np.float32(1e-05) ? 1 : -1] array4;
  float[distance(step(np.float32(0.6666667), vec3(np.float32(2.0), np.float32(-2.0), np.float32(-0.6666667))), vec3(np.float32(1.0), np.float32(0.0), np.float32(0.0))) <= np.float32(1e-05) ? 1 : -1] array5;
  float[distance(step(np.float32(2.0), vec3(np.float32(-2.0), np.float32(-0.6666667), np.float32(0.6666667))), vec3(np.float32(0.0), np.float32(0.0), np.float32(0.0))) <= np.float32(0.0) ? 1 : -1] array6;
  float[distance(step(np.float32(2.0), vec3(np.float32(2.0), np.float32(-2.0), np.float32(-0.6666667))), vec3(np.float32(1.0), np.float32(0.0), np.float32(0.0))) <= np.float32(1e-05) ? 1 : -1] array7;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length() + array4.length() + array5.length() + array6.length() + array7.length());
}
