/* [config]
 * expect_result: pass
 * glsl_version: 1.30
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (~ ivec4(np.int32(-64), np.int32(72), np.int32(88), np.int32(-76))) => ivec4(np.int32(63), np.int32(-73), np.int32(-89), np.int32(75))
 * (~ ivec4(np.int32(64), np.int32(72), np.int32(88), np.int32(76))) => ivec4(np.int32(-65), np.int32(-73), np.int32(-89), np.int32(-77))
 * (~ ivec4(np.int32(-24), np.int32(40), np.int32(-23), np.int32(64))) => ivec4(np.int32(23), np.int32(-41), np.int32(22), np.int32(-65))
 * (~ ivec4(np.int32(24), np.int32(40), np.int32(23), np.int32(64))) => ivec4(np.int32(-25), np.int32(-41), np.int32(-24), np.int32(-65))
 */
#version 130

void main()
{
  float[all(equal((~ ivec4(np.int32(-64), np.int32(72), np.int32(88), np.int32(-76))), ivec4(np.int32(63), np.int32(-73), np.int32(-89), np.int32(75)))) ? 1 : -1] array0;
  float[all(equal((~ ivec4(np.int32(64), np.int32(72), np.int32(88), np.int32(76))), ivec4(np.int32(-65), np.int32(-73), np.int32(-89), np.int32(-77)))) ? 1 : -1] array1;
  float[all(equal((~ ivec4(np.int32(-24), np.int32(40), np.int32(-23), np.int32(64))), ivec4(np.int32(23), np.int32(-41), np.int32(22), np.int32(-65)))) ? 1 : -1] array2;
  float[all(equal((~ ivec4(np.int32(24), np.int32(40), np.int32(23), np.int32(64))), ivec4(np.int32(-25), np.int32(-41), np.int32(-24), np.int32(-65)))) ? 1 : -1] array3;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length());
}
