/* [config]
 * expect_result: pass
 * glsl_version: 1.30
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (uvec3(np.uint32(36)u, np.uint32(32)u, np.uint32(88)u) / np.uint32(6)u) => uvec3(np.uint32(6)u, np.uint32(5)u, np.uint32(14)u)
 * (uvec3(np.uint32(36)u, np.uint32(32)u, np.uint32(88)u) / np.uint32(12)u) => uvec3(np.uint32(3)u, np.uint32(2)u, np.uint32(7)u)
 * (uvec3(np.uint32(36)u, np.uint32(32)u, np.uint32(88)u) / np.uint32(32)u) => uvec3(np.uint32(1)u, np.uint32(1)u, np.uint32(2)u)
 * (uvec3(np.uint32(36)u, np.uint32(32)u, np.uint32(88)u) / np.uint32(74)u) => uvec3(np.uint32(0)u, np.uint32(0)u, np.uint32(1)u)
 * (uvec3(np.uint32(59)u, np.uint32(77)u, np.uint32(68)u) / np.uint32(6)u) => uvec3(np.uint32(9)u, np.uint32(12)u, np.uint32(11)u)
 * (uvec3(np.uint32(59)u, np.uint32(77)u, np.uint32(68)u) / np.uint32(12)u) => uvec3(np.uint32(4)u, np.uint32(6)u, np.uint32(5)u)
 * (uvec3(np.uint32(59)u, np.uint32(77)u, np.uint32(68)u) / np.uint32(32)u) => uvec3(np.uint32(1)u, np.uint32(2)u, np.uint32(2)u)
 * (uvec3(np.uint32(59)u, np.uint32(77)u, np.uint32(68)u) / np.uint32(74)u) => uvec3(np.uint32(0)u, np.uint32(1)u, np.uint32(0)u)
 */
#version 130

void main()
{
  float[all(equal((uvec3(np.uint32(36)u, np.uint32(32)u, np.uint32(88)u) / np.uint32(6)u), uvec3(np.uint32(6)u, np.uint32(5)u, np.uint32(14)u))) ? 1 : -1] array0;
  float[all(equal((uvec3(np.uint32(36)u, np.uint32(32)u, np.uint32(88)u) / np.uint32(12)u), uvec3(np.uint32(3)u, np.uint32(2)u, np.uint32(7)u))) ? 1 : -1] array1;
  float[all(equal((uvec3(np.uint32(36)u, np.uint32(32)u, np.uint32(88)u) / np.uint32(32)u), uvec3(np.uint32(1)u, np.uint32(1)u, np.uint32(2)u))) ? 1 : -1] array2;
  float[all(equal((uvec3(np.uint32(36)u, np.uint32(32)u, np.uint32(88)u) / np.uint32(74)u), uvec3(np.uint32(0)u, np.uint32(0)u, np.uint32(1)u))) ? 1 : -1] array3;
  float[all(equal((uvec3(np.uint32(59)u, np.uint32(77)u, np.uint32(68)u) / np.uint32(6)u), uvec3(np.uint32(9)u, np.uint32(12)u, np.uint32(11)u))) ? 1 : -1] array4;
  float[all(equal((uvec3(np.uint32(59)u, np.uint32(77)u, np.uint32(68)u) / np.uint32(12)u), uvec3(np.uint32(4)u, np.uint32(6)u, np.uint32(5)u))) ? 1 : -1] array5;
  float[all(equal((uvec3(np.uint32(59)u, np.uint32(77)u, np.uint32(68)u) / np.uint32(32)u), uvec3(np.uint32(1)u, np.uint32(2)u, np.uint32(2)u))) ? 1 : -1] array6;
  float[all(equal((uvec3(np.uint32(59)u, np.uint32(77)u, np.uint32(68)u) / np.uint32(74)u), uvec3(np.uint32(0)u, np.uint32(1)u, np.uint32(0)u))) ? 1 : -1] array7;
  gl_FragColor = vec4(array0.length() + array1.length() + array2.length() + array3.length() + array4.length() + array5.length() + array6.length() + array7.length());
}
