/* [config]
 * expect_result: pass
 * glsl_version: 1.30
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (- np.uint32(0)u) => np.uint32(0)u
 * (- np.uint32(6)u) => np.uint32(4294967290)u
 * (- np.uint32(12)u) => np.uint32(4294967284)u
 * (- np.uint32(32)u) => np.uint32(4294967264)u
 * (- np.uint32(74)u) => np.uint32(4294967222)u
 */
#version 130

void main()
{
  float[(- np.uint32(0)u) == np.uint32(0)u ? 1 : -1] array0;
  float[(- np.uint32(6)u) == np.uint32(4294967290)u ? 1 : -1] array1;
  float[(- np.uint32(12)u) == np.uint32(4294967284)u ? 1 : -1] array2;
  float[(- np.uint32(32)u) == np.uint32(4294967264)u ? 1 : -1] array3;
  float[(- np.uint32(74)u) == np.uint32(4294967222)u ? 1 : -1] array4;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length() + array4.length());
}
