/* [config]
 * expect_result: pass
 * glsl_version: 1.50
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * normalize(vec2(np.float32(-0.1), np.float32(-1.2))) => vec2(np.float32(-0.083045475), np.float32(-0.99654573))
 * normalize(vec2(np.float32(-0.42), np.float32(0.48))) => vec2(np.float32(-0.6585046), np.float32(0.7525767))
 */
#version 150

void main()
{
  float[distance(normalize(vec2(np.float32(-0.1), np.float32(-1.2))), vec2(np.float32(-0.083045475), np.float32(-0.99654573))) <= np.float32(1e-05) ? 1 : -1] array0;
  float[distance(normalize(vec2(np.float32(-0.42), np.float32(0.48))), vec2(np.float32(-0.6585046), np.float32(0.7525767))) <= np.float32(1e-05) ? 1 : -1] array1;
  gl_Position = vec4(array0.length() + array1.length());
}
