/* [config]
 * expect_result: pass
 * glsl_version: 1.50
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (uvec3(np.uint32(22)u, np.uint32(23)u, np.uint32(4)u) << ivec3(np.int32(22), np.int32(23), np.int32(4))) => uvec3(np.uint32(92274688)u, np.uint32(192937984)u, np.uint32(64)u)
 * (uvec3(np.uint32(22)u, np.uint32(23)u, np.uint32(4)u) << ivec3(np.int32(19), np.int32(1), np.int32(13))) => uvec3(np.uint32(11534336)u, np.uint32(46)u, np.uint32(32768)u)
 * (uvec3(np.uint32(19)u, np.uint32(1)u, np.uint32(13)u) << ivec3(np.int32(22), np.int32(23), np.int32(4))) => uvec3(np.uint32(79691776)u, np.uint32(8388608)u, np.uint32(208)u)
 * (uvec3(np.uint32(19)u, np.uint32(1)u, np.uint32(13)u) << ivec3(np.int32(19), np.int32(1), np.int32(13))) => uvec3(np.uint32(9961472)u, np.uint32(2)u, np.uint32(106496)u)
 */
#version 150

void main()
{
  float[all(equal((uvec3(np.uint32(22)u, np.uint32(23)u, np.uint32(4)u) << ivec3(np.int32(22), np.int32(23), np.int32(4))), uvec3(np.uint32(92274688)u, np.uint32(192937984)u, np.uint32(64)u))) ? 1 : -1] array0;
  float[all(equal((uvec3(np.uint32(22)u, np.uint32(23)u, np.uint32(4)u) << ivec3(np.int32(19), np.int32(1), np.int32(13))), uvec3(np.uint32(11534336)u, np.uint32(46)u, np.uint32(32768)u))) ? 1 : -1] array1;
  float[all(equal((uvec3(np.uint32(19)u, np.uint32(1)u, np.uint32(13)u) << ivec3(np.int32(22), np.int32(23), np.int32(4))), uvec3(np.uint32(79691776)u, np.uint32(8388608)u, np.uint32(208)u))) ? 1 : -1] array2;
  float[all(equal((uvec3(np.uint32(19)u, np.uint32(1)u, np.uint32(13)u) << ivec3(np.int32(19), np.int32(1), np.int32(13))), uvec3(np.uint32(9961472)u, np.uint32(2)u, np.uint32(106496)u))) ? 1 : -1] array3;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length());
}
